kross-interpreters (4:22.12.0-2ubuntu1) lunar; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Fri, 30 Dec 2022 13:42:21 +0000

kross-interpreters (4:22.12.0-2) unstable; urgency=medium

  * Upload with a correctly released changelog.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 16:04:52 +0100

kross-interpreters (4:22.12.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (22.08.3).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (22.11.90).
  * New upstream release (22.12.0).

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Dec 2022 00:13:03 +0100

kross-interpreters (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:13:54 +0000

kross-interpreters (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:10:09 +0000

kross-interpreters (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)

 -- Rik Mills <rikmills@kde.org>  Mon, 14 Nov 2022 10:53:18 +0000

kross-interpreters (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:13:08 +0000

kross-interpreters (4:22.08.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Sep 2022 07:44:30 +0100

kross-interpreters (4:22.08.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.08.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 24 Aug 2022 09:53:56 +0100

kross-interpreters (4:22.04.3-1ubuntu1) kinetic; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - Update upstream signing key.

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Aug 2022 16:47:26 +0100

kross-interpreters (4:22.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Remove inactive Uploaders.
  * Drop the Python plugin, as it relies on Python 2 which will be removed
    soon: (Closes: #936809)
    - drop the python2-dev build dependency
    - drop the krosspython package
    - install to debian/tmp, to keep the rest of the packaging unchanged
  * Switch Homepage to the actual upstream Git repository.

 -- Pino Toscano <pino@debian.org>  Sun, 14 Aug 2022 14:35:44 +0200

kross-interpreters (4:22.04.3-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 07 Jul 2022 09:31:42 +0100

kross-interpreters (4:22.04.2-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jun 2022 08:06:11 +0100

kross-interpreters (4:22.04.1-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.1)

 -- Rik Mills <rikmills@kde.org>  Wed, 11 May 2022 21:05:11 +0100

kross-interpreters (4:22.04.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release (22.04.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 May 2022 06:52:32 +0100

kross-interpreters (4:21.12.3-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (21.12.3).
  * Bump Standards-Version to 4.6.0, no change required.
  * Added myself to the uploaders.
  * Build with hardening=+all build hardening flag.
  * Refresh upstream metadata.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 13 Apr 2022 15:15:04 +0200

kross-interpreters (4:21.12.3-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Mar 2022 10:15:12 +0000

kross-interpreters (4:21.12.2-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

  [ Rik Mills ]
  * New upstream release (21.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 03 Feb 2022 07:21:46 +0000

kross-interpreters (4:21.12.1-0ubuntu1) jammy; urgency=medium

  * New upstream release (21.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jan 2022 10:29:36 +0000

kross-interpreters (4:21.12.0-0ubuntu1) jammy; urgency=medium

  [ Rik Mills ]
  * New upstream release (21.12.0)
  * Set maintainer to Kubuntu Developers.

  [ José Manuel Santamaría Lema ]
  * Update upstream signing key

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Dec 2021 11:26:46 +0000

kross-interpreters (4:21.11.90-0ubuntu3) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition, remove ruby2.7 support.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Fri, 03 Dec 2021 12:52:35 -0300

kross-interpreters (4:21.11.90-0ubuntu2) jammy; urgency=medium

  * Add Kubuntu Vcs fields.

 -- Rik Mills <rikmills@kde.org>  Sun, 28 Nov 2021 19:10:53 +0000

kross-interpreters (4:21.11.90-0ubuntu1) jammy; urgency=medium

  * New upstream (RC) release (21.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 26 Nov 2021 13:21:57 +0000

kross-interpreters (4:21.11.80-0ubuntu1) jammy; urgency=medium

  * New upstream (beta) release (21.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 21 Nov 2021 18:29:16 +0000

kross-interpreters (4:21.08.3-0ubuntu1) jammy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (21.08.2)

  [ Rik Mills ]
  * New upstream release (21.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 15 Nov 2021 09:44:22 +0000

kross-interpreters (4:21.08.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.1)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 09 Sep 2021 22:37:36 +0100

kross-interpreters (4:21.08.0-1) unstable; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.08.0).

 -- Norbert Preining <norbert@preining.info>  Mon, 16 Aug 2021 16:24:57 +0900

kross-interpreters (4:21.08.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 12 Aug 2021 09:06:50 +0100

kross-interpreters (4:21.07.90-0ubuntu1) impish; urgency=medium

  * New upstream (RC) release (21.07.90)

 -- Rik Mills <rikmills@kde.org>  Mon, 02 Aug 2021 13:00:51 +0100

kross-interpreters (4:21.07.80-0ubuntu1) impish; urgency=medium

  * New upstream (beta) release (21.07.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 18 Jul 2021 20:36:43 +0100

kross-interpreters (4:21.04.3-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jul 2021 11:48:01 +0100

kross-interpreters (4:21.04.2-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 10 Jun 2021 10:45:00 +0100

kross-interpreters (4:21.04.1-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 13 May 2021 09:11:36 +0100

kross-interpreters (4:21.04.0-1) experimental; urgency=medium

  [ Norbert Preining ]
  * New upstream release (21.04.0).
  * Borrow minimal upstream signing key from k3b.
  * Drop Kubuntu from maintainer name.
  * Removed Maximiliano Curia, Modestas Vainius from the uploaders,
    thanks for your work on the package!
  * Added myself to the uploaders.

 -- Norbert Preining <norbert@preining.info>  Wed, 28 Apr 2021 13:07:52 +0900

kross-interpreters (4:21.04.0-0ubuntu1) impish; urgency=medium

  * New upstream release (21.04.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 29 Apr 2021 01:41:45 +0100

kross-interpreters (4:20.12.3-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Mar 2021 15:25:22 +0000

kross-interpreters (4:20.12.2-0ubuntu1) hirsute; urgency=medium

  * New upstream release (20.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 04 Feb 2021 09:58:39 +0000

kross-interpreters (4:20.12.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.5.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Jan 2021 12:42:06 +0100

kross-interpreters (4:20.04.3-2) unstable; urgency=medium

  * Team upload.
  * Replace the python-dev build dependency with python2-dev. (Closes: #967154)
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13

 -- Pino Toscano <pino@debian.org>  Fri, 07 Aug 2020 08:00:16 +0200

kross-interpreters (4:20.04.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update watch file to the new release-service location.
  * Add the upstream GPG signing key.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add the configuration for the CI on salsa.

 -- Pino Toscano <pino@debian.org>  Sat, 01 Aug 2020 22:14:34 +0200

kross-interpreters (4:18.08.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Switch Vcs-* fields to salsa.debian.org.
  * Bump the debhelper compatibility to 11:
    - bump the debhelper build dependency to 11~
    - bump compat to 11
  * Bump Standards-Version to 4.2.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Sat, 08 Sep 2018 18:41:23 +0200

kross-interpreters (4:17.08.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Simplify watch file, and switch it to https.
  * Bump Standards-Version to 4.1.1, no changes required.

 -- Pino Toscano <pino@debian.org>  Thu, 30 Nov 2017 06:39:41 +0100

kross-interpreters (4:16.08.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Enable krossruby, built again by upstream:
    - add a krossruby binary
    - add install files for krosspython and krosspython
  * Disable the unit tests at build time, since they can work only with plugins
    already installed.
  * Change the watch file to look for stable releases only.
  * Drop the libkf5kdelibs4support-dev build dependency, no more required now.

 -- Pino Toscano <pino@debian.org>  Thu, 25 Aug 2016 07:43:05 +0200

kross-interpreters (4:15.08.0-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 28 May 2016 01:52:53 +0200

kross-interpreters (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (4.14.3).
  * New upstream release (15.08.0).

 -- Maximiliano Curia <maxy@debian.org>  Thu, 10 Sep 2015 09:40:17 +0200

kross-interpreters (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:36:19 +0100

kross-interpreters (4:15.07.90-0ubuntu1) wily; urgency=medium

  * New upstream release
  * Port to Frameworks 5
  * Drop ruby package, not built upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 10:55:39 +0100

kross-interpreters (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-do-not-reject-ruby-versions-
    greater-than-1.9.patch

 -- Maximiliano Curia <maxy@debian.org>  Thu, 22 May 2014 16:35:55 +0200

kross-interpreters (4:4.12.2-2) unstable; urgency=medium

  [ Pino Toscano ]
  * Merge changes from the 4:4.11.5-3 upload.

  [ Maximiliano Curia ]

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:24:20 +0200

kross-interpreters (4:4.12.2-1) experimental; urgency=medium

  * New upstream release.
  * Remove upstream patch: upstream_ruby-fix-rb_raise-calls-with-
    arguments.patch.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:31:51 +0100

kross-interpreters (4:4.11.5-3) unstable; urgency=medium

  * Team upload.
  * Fix krossruby build with ruby > 1.9: (Closes: #739128)
    - bump the cmake build dependency to 2.8.12.1-1.2, since that version fixes
      FindRuby.cmake for ruby 2.x versions
    - backport upstream commit 7f919486919fb083670f66b5d9054a1c5e2179d0 to
      accept ruby versions greater than 1.9; patch
      upstream_ruby-do-not-reject-ruby-versions-greater-than-1.9.patch

 -- Pino Toscano <pino@debian.org>  Sat, 12 Apr 2014 12:42:23 +0200

kross-interpreters (4:4.11.5-2) unstable; urgency=medium

  * Merge previous upload.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 11:13:38 +0100

kross-interpreters (4:4.11.5-1) unstable; urgency=low

  * New upstream release.
  * Bump Standards-Version to 3.9.5, no changes needed.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 28 Jan 2014 10:47:37 +0100

kross-interpreters (4:4.11.3-2) unstable; urgency=low

  * Team upload.
  * Add krossruby back: (Closes: #693533)
    - copy control snippet and krossruby.install from the old kdebindings
      packaging
    - add the ruby and ruby-dev build dependencies
    - backport upstream commit cc551d8feeed74ee923c53587ee08859560c3300 to fix
      build of krossruby with -Werror=format-security; patch
      upstream_ruby-fix-rb_raise-calls-with-arguments.patch.
  * Bump Standards-Version to 3.9.5, no changes required.

 -- Pino Toscano <pino@debian.org>  Fri, 10 Jan 2014 09:55:13 +0100

kross-interpreters (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 09 Nov 2013 19:28:31 +0100

kross-interpreters (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 09 Oct 2013 16:24:55 +0200

kross-interpreters (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 17:52:15 +0200

kross-interpreters (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 18:18:44 +0200

kross-interpreters (4:4.10.2-1) experimental; urgency=low

  [ Diane Trout ]
  * New upstream release.

  [ Sune Vuorela ]
  * Add myself to uploaders.
  * Bump build-deps.

 -- Sune Vuorela <sune@debian.org>  Fri, 12 Apr 2013 06:50:25 +0000

kross-interpreters (4:4.8.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency to 4.8.4.
  * Bump kdelibs5-dev build dependency to 4.8.
  * Fix watch file to point to the .xz tarballs.

 -- Pino Toscano <pino@debian.org>  Sat, 16 Jun 2012 18:15:24 +0200

kross-interpreters (4:4.7.4-1) unstable; urgency=low

  * Team upload.
  * New upstream release.

  [ Modestas Vainius ]
  * Fix GitWeb Vcs URL.

  [ Pino Toscano ]
  * Add a watch file.
  * Update the Homepage.
  * Bump kde-sc-dev-latest build dependency to >= 4:4.7.4.
  * Bump kdelibs5-dev build dependency to >= 4:4.7.
  * Bump Standards-Version to 3.9.3, no changes required.

 -- Pino Toscano <pino@debian.org>  Mon, 02 Apr 2012 16:32:39 +0200

kross-interpreters (4:4.6.90-2) unstable; urgency=low

  * "Bye bye to you, ugly monolithic kdebindings" release.

  [ Modestas Vainius ]
  * Upload to unstable.

 -- Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>  Mon, 04 Jul 2011 17:13:33 +0300

kross-interpreters (4:4.6.90-1) experimental; urgency=low

  * Initial standalone release: split off from kdebindings.
  * Below you will find notable changes from previous kdebindings packaging.

  [ Modestas Vainius ]
  * Require KDE SC 4.6.3.
  * Bump Standards-Version to 3.9.2: no changes needed.
  * Switch debian/rules engine to dhmk based debian-qt-kde.mk.
  * Remove patches, none apply to krosspython.
  * Build only krosspython for now.
  * Clean up Uploaders list.
  * Clean up Build-Depends list: keep kdelibs5-dev, python-dev and standard
    build-dependencies.
  * Update debian/copyright.

 -- Modestas Vainius <modax@debian.org>  Fri, 01 Jul 2011 00:43:10 +0300
